Skip to main content
GET
/
boxes
/
{boxId}
/
snapshots
/
latest
Get latest box snapshot
curl --request GET \
  --url https://ascii.dev/api/box/v1/boxes/{boxId}/snapshots/latest \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "type": "snapshot.latest",
  "snapshot": {
    "id": "7417be09-d419-4ae0-b3fc-7f04a5a71ef1",
    "boxId": "bx_23456789",
    "status": "completed",
    "kind": "incremental",
    "generation": 3,
    "chainId": "4ced5b04-d2cb-4ec3-b127-3b3ed836cab5",
    "createdAt": "2026-06-24T06:24:00Z",
    "completedAt": "2026-06-24T06:24:50Z",
    "sizeBytes": 18874368,
    "fileCount": 6781
  }
}

Authorizations

Authorization
string
header
required

Box bearer token in the form box_.... Service API keys authenticate Box operations.

Path Parameters

boxId
string
required

Public Box id returned by create/list/get box calls.

Pattern: ^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$

Response

Most recent completed snapshot, or null.

ok
boolean
required
Example:

true

type
string
required

Stable success envelope discriminator added by v1.

Allowed value: "snapshot.latest"
snapshot
object
required